=head1 NAME

Gtk2::Assistant

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Window
                                +----Gtk2::Assistant



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Assistant-E<gt>B<new> 

=head2 $assistant-E<gt>B<add_action_widget> ($child)

=over

=item * $child (Gtk2::Widget) 

=back

=head2 integer = $assistant-E<gt>B<append_page> ($page)

=over

=item * $page (Gtk2::Widget) 

=back

=head2 widget or undef = $assistant-E<gt>B<get_apply_button> 

=head2 widget or undef = $assistant-E<gt>B<get_back_button> 

=head2 widget or undef = $assistant-E<gt>B<get_cancel_button> 

=head2 widget or undef = $assistant-E<gt>B<get_close_button> 

=head2 integer = $assistant-E<gt>B<get_current_page> 

=head2 $assistant-E<gt>B<set_current_page> ($page_num)

=over

=item * $page_num (integer) 

=back

=head2 widget or undef = $assistant-E<gt>B<get_forward_button> 

=head2 $assistant-E<gt>B<set_forward_page_func> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 integer = $assistant-E<gt>B<insert_page> ($page, $position)

=over

=item * $page (Gtk2::Widget) 

=item * $position (integer) 

=back

=head2 widget or undef = $assistant-E<gt>B<get_last_button> 

=head2 integer = $assistant-E<gt>B<get_n_pages> 

=head2 widget = $assistant-E<gt>B<get_nth_page> ($page_num)

=over

=item * $page_num (integer) 

=back

=head2 boolean = $assistant-E<gt>B<get_page_complete> ($page)

=over

=item * $page (Gtk2::Widget) 

=back

=head2 $assistant-E<gt>B<set_page_complete> ($page, $complete)

=over

=item * $page (Gtk2::Widget) 

=item * $complete (boolean) 

=back

=head2 pixbuf = $assistant-E<gt>B<get_page_header_image> ($page)

=over

=item * $page (Gtk2::Widget) 

=back

=head2 $assistant-E<gt>B<set_page_header_image> ($page, $pixbuf)

=over

=item * $page (Gtk2::Widget) 

=item * $pixbuf (Gtk2::Gdk::Pixbuf) 

=back

=head2 pixbuf = $assistant-E<gt>B<get_page_side_image> ($page)

=over

=item * $page (Gtk2::Widget) 

=back

=head2 $assistant-E<gt>B<set_page_side_image> ($page, $pixbuf)

=over

=item * $page (Gtk2::Widget) 

=item * $pixbuf (Gtk2::Gdk::Pixbuf) 

=back

=head2 string = $assistant-E<gt>B<get_page_title> ($page)

=over

=item * $page (Gtk2::Widget) 

=back

=head2 $assistant-E<gt>B<set_page_title> ($page, $title)

=over

=item * $page (Gtk2::Widget) 

=item * $title (string) 

=back

=head2 assistantpagetype = $assistant-E<gt>B<get_page_type> ($page)

=over

=item * $page (Gtk2::Widget) 

=back

=head2 $assistant-E<gt>B<set_page_type> ($page, $type)

=over

=item * $page (Gtk2::Widget) 

=item * $type (Gtk2::AssistantPageType) 

=back

=head2 integer = $assistant-E<gt>B<prepend_page> ($page)

=over

=item * $page (Gtk2::Widget) 

=back

=head2 $assistant-E<gt>B<remove_action_widget> ($child)

=over

=item * $child (Gtk2::Widget) 

=back

=head2 $assistant-E<gt>B<update_buttons_state> 



=cut


=head1 SIGNALS

=over

=item B<close> (Gtk2::Assistant)

=item B<cancel> (Gtk2::Assistant)

=item B<prepare> (Gtk2::Assistant, Gtk2::Widget)

=item B<apply> (Gtk2::Assistant)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gtk2::AssistantPageType

=over

=item * 'content' / 'GTK_ASSISTANT_PAGE_CONTENT'

=item * 'intro' / 'GTK_ASSISTANT_PAGE_INTRO'

=item * 'confirm' / 'GTK_ASSISTANT_PAGE_CONFIRM'

=item * 'summary' / 'GTK_ASSISTANT_PAGE_SUMMARY'

=item * 'progress' / 'GTK_ASSISTANT_PAGE_PROGRESS'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>, L<Gtk2::Window>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2008 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

